<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file filelist='eolead' name='/etc/krb5.conf'/>
        <file filelist='eolead' name='/etc/default/lsc' source='lsc.default'/>
        <file filelist='eolead' name='/etc/default/eole-lsc' source='eole-lsc.default'/>
        <file filelist='eolead' name='/etc/eole/lsc.xml'/>
        <file filelist='eolead' name='/etc/lsc/logback.xml'/>
        <file filelist='eolead' name='/etc/samba/smb.conf' source='global_smb_ad.tmpl'/>
    </files>

    <containers>
        <container name='fichier'>
            <file filelist='eolead' name='/etc/resolv.conf' source='ad-resolv.conf'/>
        </container>
    </containers>

    <variables>
        <family name='général'>
            <variable name='adresse_ip_dns' redefine="True" mandatory="True"/>
            <variable name='nom_domaine_local' redefine="True" auto_freeze='True' description='Nom DNS du réseau local et du Realm'/>
        </family>
        <family name='Interface-0'>
            <variable name='adresse_ip_gw' redefine="True" mandatory="True"/>
        </family>
        <family name='services'>
            <variable name='activer_ad' description="Activer EoleAD" hidden='True'>
                <value>oui</value>
            </variable>
        </family>
        <family name='Mots de passe'>
            <variable name='smb_min_password_length' redefine='True'>
                <value>8</value>
            </variable>
            <variable name='smb_min_password_class' redefine='True'>
                <value>3</value>
            </variable>
        </family>
        <family name='EoleAD' icon='group'>
            <variable name='ad_server' type='string' description="Nom du serveur Active Directory" mandatory='True'/>
            <variable name='ad_domain' type='string' description="Nom complet du domaine Active Directory" />
            <variable name='ad_workgroup' type='string' description="Nom du domaine Active Directory" mandatory='True'/>
            <variable name='ad_address' type='ip' description="Adresse IP du serveur Active Directory" mandatory='True'/>
            <variable name='ad_rescue' type='ip' description="Adresse IP du serveur DNS de secours"/>
            <variable name='ad_user' type='string' description="Compte administrateur du domaine AD">
                <value>Administrateur</value>
            </variable>
            <variable name='ad_container' type='string' description="Conteneur Active Directory hébergeant les comptes du module EOLE">
                <value>CN=Users</value>
            </variable>
            <variable name='ad_ou_users_etab' type='string' description="UO hébergeant les comptes des utilisateurs et groupes dans un établissement" auto_freeze='True' mode='expert'>
                <value>OU=Utilisateurs</value>
            </variable>
            <variable name='ad_ldaps' type='oui/non' description="Synchroniser l'annuaire en LDAPS">
                <value>non</value>
            </variable>
        </family>
        <family name='samba'>
            <variable name='smb_workgroup' redefine='True' hidden='True'/>
        </family>
        <family name='openldap' mode='expert'>
            <!-- réplication LDAP forcée pour lsc -->
	    <variable name='ldap_replication' redefine='True' hidden='True'>
                <value>oui</value>
	    </variable>
        </family>
    </variables>

    <constraints>
        <check name='valid_name' target='ad_server'/>
        <check name='valid_domaine' target='ad_domain'/>
        <fill name='calc_val' target='ad_domain'>
            <param type='eole' name='valeur'>nom_domaine_local</param>
        </fill>
        <auto name='extract_ad_domain_from_realm' target='ad_workgroup'>
            <param type='eole'>ad_domain</param>
        </auto>
        <fill name='calc_val' target='smb_workgroup'>
            <param type='eole'>ad_workgroup</param>
        </fill>
        <condition name='disabled_if_in' source='ead_support_multietab' fallback='True'>
            <param>non</param>
            <target type='variable'>ad_ou_users_etab</target>
        </condition>
    </constraints>

    <help>
        <family name='EoleAD'>Configuration de l'intégration EOLE - Active Directory</family>
        <variable name='ad_domain'>Saisir le nom de domaine complet (realm)</variable>
        <variable name='ad_workgroup'>Nom de domaine (anciennement Workgroup)</variable>
        <variable name='ad_rescue'>Serveur Active Directory de secours</variable>
        <variable name='ad_ou_users_etab'>En mode multi-établissement, définit le nom de l'unité organisationnelle Active Directory dans laquelle sont stockés les comptes de chacun des établissements ajoutés</variable>
        <variable name='ad_ldaps'>La synchronisation des comptes en LDAPS est plus sécurisée mais nécessite l’enregistrement des certificats d'autorité du serveur AD dans un fichier Java keystore</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
